# deleteRevenueTransaction

Deletes revenue information that was previously entered for the  given location and transaction id.

`DELETE /v1/locations/{locationid}/revenuetransactions/{transactionid}`

**API:** Avalara MyLodgeTax API
**Tag:** Revenue
**API Version:** v1.2
**Base URL:** https://mylodgetaxapi-sbx.avalara.net
**Content-Type:** `application/json`
**Authentication:** API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/mylodge/api/methods/Revenue/deleteRevenueTransaction/

## Description

Allows for the deletion of a revenue transaction that has previously been entered for a location.
>
Note that revenue data that was reported in the prior reporting month (or earlier) cannot be deleted.  For example, a transaction with a March transaction date cannot be deleted after April 2.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `locationid` | string | path | Yes | Unique location identifier assigned when posting a partnerLead (_locationId_). |
| `transactionid` | string | path | Yes | Partner-defined unique identifier for a revenue transaction. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 204 | No Content |  |
| 404 | Location Not Found | `ErrorResponse` |
| 422 | Requested transaction is for a prior reporting period. | `ErrorResponse` |
| 429 | Exceeded API Rate Limits | `ErrorResponse` |
| 500 | Unknown Error | `ErrorResponse` |

## Example Request

```bash
curl -X DELETE "https://mylodgetaxapi-sbx.avalara.net/v1/locations/{locationid}/revenuetransactions/{transactionid}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```